cURL
curl --request POST \ --url https://api.contiguity.com/numbers/lease/{number} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "billing_method": "monthly" } '
{ "id": "req_xxxxxxxxxxxxxxxx", "timestamp": 1772568052124, "api_version": "v2026.3.3", "object": "response", "data": { "lease_id": "lsd_1234567890", "number": "+13059478667", "status": "active", "billing": { "method": "monthly", "price": { "currency": "USD", "monthly_rate": 19.99, "upfront_fee": 2.99 }, "period": { "start": 1718851200, "end": null } } } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Phone number in E.164 format
"+13059478667"
Billing method (service_contract only works if active). Defaults to monthly.
monthly
service_contract
Lease a specific phone number
"req_xxxxxxxxxxxxxxxx"
1772568052124
"v2026.3.3"
"response"
Show child attributes
Was this page helpful?